#
# spec file for package gtk2-metatheme-sonar
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _icon_version 11.3.1
Name:           gtk2-metatheme-sonar
Version:        11.3.0
Release:        31.6
Summary:        GTK+, Xfwm4 and Metacity Sonar Theme
License:        GPL-2.0-or-later
Group:          System/GUI/GNOME
Source0:        metatheme-Sonar-%{version}.tar.bz2
Source1:        icon-theme-sonar-%{_icon_version}.tar.bz2
Source2:        COPYING.Sonar
Source3:        Sonar-xfwm4.tar.bz2
# PATCH-FIX-OPENSUSE metatheme-Sonar_compatibilty-with-murrine-0.98.patch badshah400@gmail.com -- Remove deprecated gradients options, (deprecated with murrine version 0.98). Sent upstream by mail
Patch0:         metatheme-Sonar_compatibilty-with-murrine-0.98.patch
# PATCH-FIX-UPSTREAM gtk2-metatheme-sonar-main-menu-theming.patch bnc#642956 vuntz@opensuse.org -- Correctly match the main menu button for correct theming
Patch1:         gtk2-metatheme-sonar-main-menu-theming.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  icon-naming-utils
BuildRequires:  pkgconfig
Requires:       gtk2-engine-murrine
Requires:       metatheme-sonar-common = %{version}
Enhances:       gtk2
BuildArch:      noarch

%description
GTK+, Xfwm4 and Metacity theme created for openSUSE 11.2.

%package -n metatheme-sonar-common
Summary:        GTK+, Xfwm4 and Metacity Sonar Theme -- Common Files
Group:          System/GUI/GNOME
Recommends:     sonar-icon-theme
Suggests:       gtk2-metatheme-sonar

%description -n metatheme-sonar-common
GTK+, Xfwm4 and Metacity theme created for openSUSE 11.2.

%package -n sonar-icon-theme
Version:        %{_icon_version}
Release:        31.6
Summary:        Sonar Icon Theme
Group:          System/GUI/GNOME
Requires:       hicolor-icon-theme
Suggests:       gtk2-metatheme-sonar
# Needed for old not-in-factory package
Provides:       icon-theme-sonar = 11.2.0
Obsoletes:      icon-theme-sonar < 11.2.0

%description -n sonar-icon-theme
Sonar icon theme based on the upcoming GNOME icon theme.

%prep
%setup -q -a1 -a3 -n Sonar
cp -a %{SOURCE2} COPYING.xfwm4
%patch -P 0 -p1
%patch -P 1 -p1

%build
pushd icon-theme-sonar-%{_icon_version}
%configure
make %{?_smp_mflags}
popd

%install
mkdir -p %{buildroot}%{_datadir}/themes/Sonar
cp -a Sonar/xfwm4 gtk-2.0 metacity-1 index.theme %{buildroot}%{_datadir}/themes/Sonar/
# install icons
pushd icon-theme-sonar-%{_icon_version}
%make_install
popd
%{icon_theme_cache_create_ghost Sonar}
%fdupes %{buildroot}

%post -n sonar-icon-theme
%icon_theme_cache_post Sonar

# No need for %%icon_theme_cache_postun in %postun since the theme won't exist anymore

%files
%{_datadir}/themes/Sonar/gtk-2.0/

%files -n metatheme-sonar-common
%doc AUTHORS
%license COPYING.xfwm4
%dir %{_datadir}/themes/Sonar
%{_datadir}/themes/Sonar/index.theme
%{_datadir}/themes/Sonar/metacity-1/
%{_datadir}/themes/Sonar/xfwm4/

%files -n sonar-icon-theme
%defattr (644, root, root, 755)
%license icon-theme-sonar-%{_icon_version}/COPYING
%doc icon-theme-sonar-%{_icon_version}/AUTHORS icon-theme-sonar-%{_icon_version}/NEWS icon-theme-sonar-%{_icon_version}/README
%ghost %{_datadir}/icons/Sonar/icon-theme.cache
%{_datadir}/icons/Sonar/

%changelog
* Tue Nov 28 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -p N instead of deprecated %%patchN.
* Sat Dec  8 2018 Stasiek Michalski <hellcp@mailbox.org>
- Ship Xfwm4 theme with GTK theme (instead of with Xfwm4)
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Jul 22 2014 dimstar@opensuse.org
- Drop gnome-icon-theme Requires: nothing in the sonar icon theme
  depends on gnome-icon-theme (which, in turn is obsoleted).
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Tue Jan 18 2011 vuntz@opensuse.org
- Remove the gtk3-metatheme-sonar subpackage (and all references to
  it in various Suggests): we can't build it this way anymore,
  since theming in GTK+ 3 changed and the format is different. We
  might create a gtk3-metatheme-sonar package again later, but with
  a working GTK+ 3 theme.
* Tue Jan 11 2011 vuntz@opensuse.org
- Add gtk2-metatheme-sonar-main-menu-theming.patch: correctly match
  the main menu button for theming. With the relevant change in
  gnome-main-menu, this fixes bnc#642956.
* Thu Oct 14 2010 vuntz@opensuse.org
- Create a theme for gtk3 too:
  + copy gtk-2.0 theme directory as gtk-3.0, it should just work.
  + create a gtk3-metatheme-sonar subpackage.
  + split the common files between gtk2-metatheme-sonar and
    gtk3-metatheme-sonar in metatheme-sonar-common. This subpackage
    is required by both gtk2-metatheme-sonar and
    gtk3-metatheme-sonar. It also has a sonar-icon-theme
    Recommends, and Suggests for both gtk2-metatheme-sonar and
    gtk3-metatheme-sonar.
  + change gtk2-metatheme-sonar Recommends in sonar-icon-theme to a
    Suggests, and add a gtk3-metatheme-sonar Suggests too.
  + remove gtk2 Requires for gtk2-metatheme-sonar:
    gtk2-engine-murrine will already bring gtk2.
* Thu Sep 23 2010 badshah400@gmail.com
- Add metatheme-Sonar_compatibilty-with-murrine-0.98.patch to
  remove options deprecated in murrine 0.98, that create warnings.
* Wed Aug 25 2010 vuntz@opensuse.org
- Add hicolor-icon-theme BuildRequires.
- Use the %%icon_theme_cache_* macros to make sure the icon theme
  cache is created/updated.
* Sat Aug  7 2010 vuntz@opensuse.org
- Drop icon-theme-gilouche.patch: the size of the icon theme is now
  reduced, so we don't need this anymore.
- Change sonar-icon-theme Suggests to Recommends: the sonar icon
  theme is the one that is recommended by the theme, and this will
  make it easier to have it installed by default.
* Wed Jun 30 2010 vuntz@opensuse.org
- Update sonar-icon-theme to 11.3.1: this version removes many
  icons that are now part of gnome-icon-theme (since 2.30.0).
* Thu Jun 24 2010 psankar@opensuse.org
- Change recommended icon theme to Gilouche in the metatheme file,
  as 11.3 does not ship sonar-icon-theme by default because of size
  constraints.
* Thu May 13 2010 jimmac@novell.com
- metatheme 11.3.0 - use Sonar icon theme again
- icon theme 11.3.0 - add 24x24px size for volume icons. bug #602871
* Tue Dec  1 2009 dimstar@opensuse.org
- Update to version 11.2.10:
  + Sonar icon theme too big and too late, reverting to Gilouche
* Wed Nov 18 2009 jimmac@novell.com
- update icon theme to 11.2.5:
  + improved the styling of the XDG folders. Changed user-desktop
    to be consistent.
* Mon Nov 16 2009 jimmac@novell.com
- update icon theme to 11.2.4:
  + restyled and expanded coverage of XDG folders.
* Thu Nov 12 2009 jimmac@novell.com
- update icon theme to 11.2.3:
  + network manager signal strengt icons ate 16x16, 22x22, 32x32
    and 48x48.
* Tue Oct 20 2009 vuntz@opensuse.org
- Update gtk theme to 11.2.9:
  + enlarge bottom border to allow easier sizing in compiz.
    bnc#544586
  + brasero notifications
  + insensitive menu entries
  + work around gtkcombobox issues with gdm. bnc#544079
- Drop gtk2-metatheme-sonar-greeter-panel.patch: fixed with the new
  tarball.
- Update icon-theme-sonar to 11.2.2: this is a different theme,
  which is not based on the GNOME colors icon theme anymore.
- Add icon-naming-utils and pkg-config BuildRequires, needed by the
  new theme.
- Version sonar-icon-theme according to the tarball version of the
  icon theme, not according to the version of the gtk+ theme.
* Mon Oct 19 2009 dimstar@opensuse.org
- Add gtk2-metatheme-sonar-greeter-panel.patch by Mingxi Wu to fix
  panel colors in gdm greeter. Fixes bnc#544079.
* Mon Sep 28 2009 dimstar@opensuse.org
- Update to version 11.2.5:
  + bnc#508196 - fix slab icon clipping
- Changes from version 11.2.4:
  + remove duplicate roundness
  + bnc#538835 - make gdm panel dark as well
- Drop bnc508196-fix-main-menu-icon-size.patch, included upstream.
* Mon Sep 14 2009 mxwu@novell.com
- Add bnc508196-fix-main-menu-icon-size.patch. Fix bnc#508196
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 11.2.3:
  + better contrast for disable menu items (bnc#533320)
  + better contrast for unfocudes window title and icons
* Mon Aug 17 2009 vuntz@novell.com
- Update to version 11.2.2:
  + less whitespace in the titlebar (bnc#520020)
  + special case a broken panel applet (bnc#528786)
* Mon Aug  3 2009 vuntz@novell.com
- Update to new upstream tarball (which has the same version
  number, unfortunately).
* Wed May  6 2009 vuntz@novell.com
- Rename package to gtk2-metatheme-sonar, since it's a metatheme.
- Merge icon-theme-sonar package in this source package, but still
  create a sonar-icon-theme package.
- Make sure the files are not writable or executable: they're all
  data files.
* Tue May  5 2009 abockover@novell.com
- Initial import of Sonar for openSUSE 11.2 inclusion
